#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Config
%define		pnam	Simple
Summary:	Config::Simple - simple configuration file class
Summary(pl.UTF-8):	Config::Simple - prosta klasa do obsługi plików konfiguracyjnych
Name:		perl-Config-Simple
Version:	4.59
Release:	1
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Config/SHERZODR/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	96513b61c7db591339ce2577878a3b32
URL:		http://search.cpan.org/dist/Config-Simple/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Config::Simple is a class representing configuration file object. It
supports several configuration file syntax and tries to identify the
file syntax to parse them accordingly. Library supports parsing,
updating and creating configuration files.

%description -l pl.UTF-8
Config::Simple stanowi klasę reprezentującą obiekty plików
konfiguracyjnych. Zawiera wsparcie dla kilku składni plików
konfiguracyjnych a próbuje zidentyfikować rodzaj używanej w danym
pliku składni poprzez kolejne próby ich analizy. Biblioteka wspiera
analizę, aktualizację i tworzenie plików konfiguracyjnych.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT
%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%{perl_vendorlib}/Config/Simple.pm
%{perl_vendorlib}/auto/Config/Simple
%{_mandir}/man3/Config::Simple.3pm*
%changelog
* Sun Oct 21 2012 Jakub Bogusz <qboosh@pld-linux.org> 971fd36
- updated to 4.59

* Sun Jul 27 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 77e2242
- release 2

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> eb1bc55
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 47b516c
- converted to UTF-8

* Mon Mar 13 2006 Maciej Pijanka <agaran@pld-linux.org> 87064d9
- up to 2.58, rel 1 builds here

* Wed Nov 03 2004 paladine <paladine@pld-linux.org> f269b6b
- formatting

* Mon Nov 01 2004 Adam Gołębiowski <adamg@pld-linux.org> c507b02
- updated to 4.57

* Sun Aug 08 2004 Adam Gołębiowski <adamg@pld-linux.org> 8b5358d
- updated to 4.56

* Thu May 06 2004 ankry <ankry@pld-linux.org> a8a69ab
- fixed perl-devel BR

* Sun Apr 25 2004 ankry <ankry@pld-linux.org> f41f632
- cosmetics: unification

* Tue Apr 20 2004 ankry <ankry@pld-linux.org> 2c88e8d
- bcond fixes/porting

* Sun Apr 18 2004 ankry <ankry@pld-linux.org> 2f0712b
- license fixes and cosmetics

* Mon Aug 18 2003 Tomasz Pala <gotar@pld-linux.org> da7871d
- mass commit: cosmetics (removed trailing white spaces)

* Wed Jun 11 2003 misi3k <misi3k@pld-linux.org> a98a79d
- updated to 4.55

* Wed May 28 2003 Michal Moskal <michal@moskal.me> d4ac818
- massive attack: source-md5

* Sun May 25 2003 misi3k <misi3k@pld-linux.org> a86116b
- massive attack s/pld.org.pl/pld-linux.org/

* Fri Apr 11 2003 radek <radek@pld-linux.org> 51914dc
- BR: perl-devel; do not BR: perl

* Fri Apr 11 2003 Jakub Bogusz <qboosh@pld-linux.org> 5d0ed3c
- merge from RA-branch: up to 4.48, informative descriptions, tests on bcond
- release 2

* Thu Mar 13 2003 ankry <ankry@pld-linux.org> 0452efd
- merge from RA-branch: updated to 4.46

* Sat Mar 01 2003 radek <radek@pld-linux.org> ae4550b
- should be ready for perl-5.8.0; release++

